Ruby - Bug #13764

Ruby 2.3.4 build problem with "-fstack-check™
07/24/2017 02:04 PM - taca (Takahiro Kambe)

Status: Rejected
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 2.3.4p301 (2017-03-30 revision Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4:

58214) [x86_64-netbsd] UNKNOWN

Description

pkgsrcll PKGSRC_USE_STACK_CHECK [l yes 00000 Ruby 2.3.4 00000000000
0000000tool/generic_erb.rb [ encdb.h 0000000 erb.ro 0000000000

lib/erb.rb:654:in "block in compile': can't modify frozen String (RuntimeError)

gaoooooooooo miniruby I frozen_string_literal Dmagic comment 0000000000000
0000 true 000O00DOODDOODOO0DOPKGSRC_USE_STACK_CHECK 0000000000
gecll-fstack-cheeck[00000000000000000

HHHDcEl)mpile.cI]ifI][II][II][II][II][II][II][II][II]DDDDDDDDDDDDDDDDDDDDDD

000 r57971 0O0000000000000000000000000Ruby 2.400000000000
HHHRuby 2.3[||][||]Dfrozen_string_literalﬂmagic commentl000000000000000000

pkgsrclI0000000000000: http:/mail-index.netbsd.org/pkgsre-changes/2017/07/24/msg160523.html

History

#1 - 07/25/2017 03:53 AM - taca (Takahiro Kambe)

Please close this Issue since | posted to wrong language and | re-posted as Bug #13766.

#2 - 07/25/2017 04:03 AM - hsbt (Hiroshi SHIBATA)
- Status changed from Open to Rejected
